<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpColorScales: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-colorselector.html" title="Part IV. GIMP Color Selectors">
<link rel="prev" href="GimpColorNotebook.html" title="GimpColorNotebook">
<link rel="next" href="GimpColorSelect.html" title="GimpColorSelect">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpColorScales.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpColorScales.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpColorScales.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpColorScales.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-colorselector.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpColorNotebook.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpColorSelect.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpColorScales"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpColorScales.top_of_page"></a>GimpColorScales</span></h2>
<p>GimpColorScales — A <a class="link" href="GimpColorSelector.html" title="GimpColorSelector"><span class="type">GimpColorSelector</span></a> implementation.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpColorScales.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorScales.html#gimp-color-scales-set-show-rgb-u8" title="gimp_color_scales_set_show_rgb_u8 ()">gimp_color_scales_set_show_rgb_u8</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpColorScales.html#gimp-color-scales-get-show-rgb-u8" title="gimp_color_scales_get_show_rgb_u8 ()">gimp_color_scales_get_show_rgb_u8</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorScales.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody><tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="GimpColorScales.html#GimpColorScales--show-rgb-u8" title="The “show-rgb-u8” property">show-rgb-u8</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorScales.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpColorScales.html#GimpColorScales-struct" title="GimpColorScales">GimpColorScales</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorScales.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> <a class="link" href="GimpColorSelector.html" title="GimpColorSelector">GimpColorSelector</a>
                            <span class="lineart">╰──</span> GimpColorScales
</pre>
</div>
<div class="refsect1">
<a name="GimpColorScales.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpColorScales implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpColorScales.description"></a><h2>Description</h2>
<p>The <a class="link" href="GimpColorScales.html" title="GimpColorScales"><span class="type">GimpColorScales</span></a> widget is an implementation of a
<a class="link" href="GimpColorSelector.html" title="GimpColorSelector"><span class="type">GimpColorSelector</span></a>. It shows a group of <a class="link" href="GimpColorScale.html" title="GimpColorScale"><span class="type">GimpColorScale</span></a> widgets
that allow to adjust the HSV, LCH, and RGB color channels.</p>
</div>
<div class="refsect1">
<a name="GimpColorScales.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-color-scales-set-show-rgb-u8"></a><h3>gimp_color_scales_set_show_rgb_u8 ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_scales_set_show_rgb_u8 (<em class="parameter"><code><a class="link" href="GimpColorScales.html" title="GimpColorScales"><span class="type">GimpColorScales</span></a> *scales</code></em>,
                                   <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> show_rgb_u8</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-scales-get-show-rgb-u8"></a><h3>gimp_color_scales_get_show_rgb_u8 ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gimp_color_scales_get_show_rgb_u8 (<em class="parameter"><code><a class="link" href="GimpColorScales.html" title="GimpColorScales"><span class="type">GimpColorScales</span></a> *scales</code></em>);</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpColorScales.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpColorScales-struct"></a><h3>GimpColorScales</h3>
<pre class="programlisting">typedef struct _GimpColorScales GimpColorScales;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpColorScales.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpColorScales--show-rgb-u8"></a><h3>The <code class="literal">“show-rgb-u8”</code> property</h3>
<pre class="programlisting">  “show-rgb-u8”              <a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Show RGB 0..255 scales.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: FALSE</p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>